Subject: Re: Timeouts on slow connections

From: Sergey Matveev <[email-masked]>
Date: Sat, 23 Sep 2023 15:06:12 +0300

Greetings!

*** John Goerzen [2023-09-08 22:32]:
>timed out" on the client (nncp-call[er] side).  On the nncp-daemon side,
>I get everything from "ERROR SP with [hostname]: waiting for payload:
>xdr:decodeArray: data exceeds max slice limit - read: '3155270245'" at
>the time the client times out, to just EOF errors on the server.

Yeah, sometimes I also got similar things on connections with dropped
packets/connections. Well, currently I did not bother dealing with it.
After a while connections will be workabled/resumed anyway.

>I have tried raising all the timeouts I can, to no avail.  Is there
>another timeout somewhere that could be raised?

"Onlinedeadline" is generally the main one.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A